﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;

	public class Graph2 extends Sprite
	{
		private var limit:Number = 230;
		private var counter:Number = 0;
		
		public function Graph2()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage();
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
		}
		private function double_handler(e:MouseEvent):void
		{
			//trace("double clicked");
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point(stage.stageWidth,stage.stageHeight);
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage():void
		{	
			//graphics.lineStyle(1,0x000000,.4);
			graphics.moveTo(stage.stageWidth/6,0);
			graphics.lineTo(stage.stageWidth/6,stage.stageHeight);
			graphics.moveTo(0,stage.stageHeight/2);
			graphics.lineTo(stage.stageWidth,stage.stageHeight/2);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 0;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	private var sH:Number;
	private var sW:Number;
	
	public function Point(stageWidth:Number,stageHeight:Number):void
	{
		r1 = Math.random()*stageWidth;
		r2 = Math.random()*stageHeight;
		sH = stageHeight;
		sW = stageWidth;
		orientation = Math.round(1-Math.random()*5);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0xCCCCCC,Math.random()*1);
		graphics.lineTo(10,3);
		graphics.curveTo(4,10,22,10);
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = sW/2+ Math.cos(angle*Math.PI/180)*r1;
		y = sH/2 - Math.sin(angle*Math.PI/180)*r2*orientation;
		angle++;
	}
}